<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'

const receiptStore = useReceiptStore()
function updateSweetness(item: any) {
  receiptStore.updateSweetness(item, item.sweet)
}
</script>
<template>
  <v-table>
    <thead>
      <tr>
        <th>#</th>
        <th>name</th>
        <th>price</th>
        <th>unit</th>
        <th>total</th>
        <th>sweet</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(item, index) of receiptStore.receiptItems" :key="item.id">
        <td>{{ index + 1 }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>
          <v-btn icon="mdi-minus" density="compact" @click="receiptStore.dec(item)"></v-btn
          >{{ item.unit
          }}<v-btn icon="mdi-plus" density="compact" @click="receiptStore.inc(item)"></v-btn>
        </td>
        <td>{{ item.unit * item.price }}</td>
        <td>
          <v-select
            :items="['100%', '0%', '50%', '150%', '200%']"
            v-model="item.sweet"
            dense
            outlined
            label="Sweetness"
            @change="updateSweetness(item)"
          ></v-select>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>
